## maildir-utils 1.6.10

=== meson_options.txt ===
## Copyright (C) 2021 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software Foundation,
## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


option('guile',
       type : 'feature',
       value: 'auto',
       description: 'build the guile scripting support (requires guile-3.x)')

option('toys',
       type : 'feature',
       value: 'auto',
       description: 'build various toy programs (requires gtk3/gtk-webkit)')

option('readline',
       type: 'feature',
       value: 'auto',
       description: 'enable readline support for the mu4e repl')

=== debian/changelog ===
maildir-utils (1.6.10-1) unstable; urgency=medium

  * New upstream version 1.6.10

 -- Norbert Preining <norbert@preining.info>  Sat, 13 Nov 2021 17:24:13 +0900

maildir-utils (1.6.9-1) unstable; urgency=medium

  * New upstream version 1.6.9
  * Update patch.

 -- Norbert Preining <norbert@preining.info>  Mon, 25 Oct 2021 07:19:56 +0900

maildir-utils (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7
  * Update patch.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Oct 2021 21:47:44 +0900

maildir-utils (1.6.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on maildir-utils, Priority on mu4e that duplicate source.
  * Remove constraints unnecessary since buster

  [ Norbert Preining ]
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version 1.6.6

 -- Norbert Preining <norbert@preining.info>  Sun, 05 Sep 2021 18:08:49 +0900

maildir-utils (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5

 -- Norbert Preining <norbert@preining.info>  Fri, 27 Aug 2021 07:49:53 +0900

maildir-utils (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 10:20:03 +0900

maildir-utils (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 01:09:51 +0900

maildir-utils (1.6.1-1) experimental; urgency=medium

  * New upstream version 1.6.1
  * Drop upstream patches.
  * Cherry-pick upstream fix for schemata warning
  * Add a NEWS entry for database schemata

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Aug 2021 10:04:26 +0900

maildir-utils (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0
  * Update list of installed files.
  * Add libreadline-dev to B-D.
  * Update patches.
  * Cherry-pick several fixes from upstream.

 -- Norbert Preining <norbert@preining.info>  Fri, 30 Jul 2021 09:24:31 +0900

=== debian/control ===
Source: maildir-utils
Section: mail
Priority: optional
Maintainer: Norbert Preining <norbert@preining.info>
Build-Depends: libxapian-dev, debhelper-compat (= 13), zlib1g-dev, libgtk-3-dev, xdg-utils, emacsen-common, guile-3.0-dev, texinfo, pmccabe, libgmime-3.0-dev, libreadline-dev
Standards-Version: 4.6.0
Homepage: https://www.djcbsoftware.nl/code/mu/
Vcs-Git: https://github.com/norbusan/debian-mu.git
Vcs-Browser: https://github.com/norbusan/debian-mu

Package: maildir-utils
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg | install-info
Description: Set of utilities to deal with Maildirs (upstream name mu)
 mu is a set of utilities to deal with Maildirs, specifically,
 indexing and searching.
  - mu index - recursively scans a collection of email messages, and
    stores information found in a database.
  - mu find - searches for messages based on some search criteria.
  - mu mkmdir - creates a new Maildir.
 .
 mu uses libgmime to parse the message, and Xapian to store the message data.

Package: mu4e
Section: lisp
Architecture: all
Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacsen-common, dpkg | install-info
Description: e-mail client for Emacs based on mu (maildir-utils)
 mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
 later, built on top of the mu e-mail search engine. mu4e is optimized
 for fast handling of large amounts of e-mail.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS

mu := $(CURDIR)/debian/maildir-utils
mu4e := $(CURDIR)/debian/mu4e


# ia64 cannot build guile-2.0, so we have to disable it
# one part is in the control file removing the build-deps on libguile-2.0-dev
# for ia64, one part is here to disable guile compiling and some rules
# same for armel

DOGUILECONFIG=
BAD_GUILE_ARCHS := ia64 armel
include /usr/share/dpkg/architecture.mk
ifneq ($(filter $(DEB_HOST_ARCH),$(BAD_GUILE_ARCHS)),)
  DOGUILECONFIG=--disable-guile
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -g -Wall

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	dh_autoreconf
	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		./configure --prefix=/usr --docdir='$${prefix}/share/doc/maildir-utils' --disable-webkit $(DOGUILECONFIG)
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean install-stamp build-stamp config.log

install: install-stamp

install-stamp: DH_OPTIONS=
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(mu)/usr
	# remove wrong info/dir
	rm -f $(mu)/usr/share/info/dir*
	# mu4e package
	mkdir -p $(mu4e)/usr/share
	mv $(mu)/usr/share/emacs $(mu4e)/usr/share
	mkdir -p $(mu4e)/usr/share/info
	mv $(mu)/usr/share/info/mu4e.info* $(mu4e)/usr/share/info
	# shared libs dealing
ifeq ($(filter $(DEB_HOST_ARCH),$(BAD_GUILE_ARCHS)),)
	rm $(mu)/usr/lib/libguile-mu.la
endif
	touch install-stamp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_makeshlibs
	dh_shlibdeps
	dh_installdocs README.org NEWS.org TODO HACKING
	dh_installchangelogs
	dh_installemacsen -pmu4e
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README.org NEWS NEWS.org TODO HACKING
	#dh_installchangelogs ChangeLog
	dh_installchangelogs
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif
	dh_compress -XNEWS.org
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## maildir-utils 1.8.7

=== debian/changelog ===
maildir-utils (1.8.7-2) unstable; urgency=medium

  * debian/rules: Both armel and ia64 have guile-3.0-dev, stop passing
    --disable-guile there (thanks to Adrian Bunk)

 -- Martin <debacle@debian.org>  Mon, 01 Aug 2022 06:51:47 +0000

maildir-utils (1.8.7-1) unstable; urgency=medium

  * New upstream version
  * Add symlink in mu4e to NEWS.org in mu4e (Closes: #1016134)
  * Switch to dh_elpa and more modern debian/rules

 -- Martin <debacle@debian.org>  Sun, 31 Jul 2022 17:10:04 +0000

maildir-utils (1.8.6-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 18 Jul 2022 18:03:46 +0000

maildir-utils (1.8.5-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 11 Jul 2022 20:40:10 +0000

maildir-utils (1.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 05 Jul 2022 06:30:26 +0000

maildir-utils (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2 (Closes: #1013942)
  * Migrate package to Emacs team on Salsa,
    thanks to Norbert for maintaining this package over 13 years!
  * Remove dependencies on "dpkg | install-info" (Closes: #1013830, #1013834)
  * Refresh patches, remove obsolete fix-mug-build

 -- Martin <debacle@debian.org>  Wed, 29 Jun 2022 19:00:50 +0000

## maildir-utils 1.8.14

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## Copyright (C) 2021 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
+## Copyright (C) 2022 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
 ##
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -20,12 +20,16 @@
        value: 'auto',
        description: 'build the guile scripting support (requires guile-3.x)')
 
-option('toys',
-       type : 'feature',
-       value: 'auto',
-       description: 'build various toy programs (requires gtk3/gtk-webkit)')
-
 option('readline',
        type: 'feature',
        value: 'auto',
        description: 'enable readline support for the mu4e repl')
+
+option('emacs',
+       type: 'string',
+       value: 'emacs',
+       description: 'name/path of the emacs executable')
+
+option('lispdir',
+       type: 'string',
+       description: 'path under which to install emacs-lisp files')

=== debian/changelog ===
maildir-utils (1.8.14-3) unstable; urgency=medium

  * Team upload
  * Bug fix: "public shared library shipped in maildir-utils binary
    package", thanks to Jeremy Sowden (Closes: #1041271).

 -- David Bremner <bremner@debian.org>  Wed, 19 Jul 2023 08:11:03 -0300

maildir-utils (1.8.14-2) unstable; urgency=medium

  * Team upload
  * Bug fix: "ftbfs with GCC-13", thanks to Matthias Klose (Closes:
    #1037765). Thanks to Jeremy Sowden for the fix.
  * Install missing info files (also thanks to Jeremy Sowden)

 -- David Bremner <bremner@debian.org>  Sun, 16 Jul 2023 13:32:26 -0300

maildir-utils (1.8.14-1) unstable; urgency=medium

  * New upstream verion

 -- Martin <debacle@debian.org>  Tue, 07 Feb 2023 22:53:40 +0000

maildir-utils (1.8.13-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 23 Jan 2023 00:00:53 +0000

maildir-utils (1.8.10-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sat, 08 Oct 2022 14:10:38 +0000

=== debian/control ===
Source: maildir-utils
Section: mail
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
	emacsen-common,
	guile-3.0-dev,
	libgmime-3.0-dev,
	libgtk-3-dev,
	libreadline-dev,
	libxapian-dev,
	pmccabe,
	texinfo,
	xdg-utils,
	zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.djcbsoftware.nl/code/mu/
Vcs-Git: https://salsa.debian.org/emacsen-team/maildir-utils.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/maildir-utils

Package: maildir-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Set of utilities to deal with Maildirs (upstream name mu)
 mu is a set of utilities to deal with Maildirs, specifically,
 indexing and searching.
  - mu index - recursively scans a collection of email messages, and
    stores information found in a database.
  - mu find - searches for messages based on some search criteria.
  - mu mkmdir - creates a new Maildir.
 .
 mu uses libgmime to parse the message, and Xapian to store the message data.

Package: mu4e
Section: lisp
Architecture: all
Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacsen-common
Description: e-mail client for Emacs based on mu (maildir-utils)
 mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
 later, built on top of the mu e-mail search engine. mu4e is optimized
 for fast handling of large amounts of e-mail.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

ELPA_NAME=mu4e
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_auto_configure:
	dh_auto_configure -- --docdir='$${prefix}/share/doc/maildir-utils' --disable-webkit

execute_after_dh_auto_install:
	-rm $(CURDIR)/debian/tmp/usr/lib/*/libguile-mu.la

execute_before_dh_elpa:
	echo ';;; package description for mu4e  -*- no-byte-compile: t -*-' > mu4e/mu4e-pkg.el
	echo "(define-package \"mu4e\" \"$(DEB_VERSION_UPSTREAM)\" \"the mu mail user agent\" 'nil)" >> mu4e/mu4e-pkg.el

override_dh_compress:
	dh_compress --exclude=NEWS.org

## maildir-utils 1.10.8

=== Makefile ===
## Copyright (C) 2008-2023 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software Foundation,
## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

# Makefile with some useful targets for meson/ninja

NINJA             ?= ninja
BUILDDIR          ?= $(CURDIR)/build
COVERAGE_BUILDDIR ?= $(CURDIR)/build-coverage
MESON             ?= meson
V                 ?= 0

ifneq ($(V),0)
  VERBOSE=--verbose
endif

# when MU_HACKER is set, do a debug build
# MU_HACKER is for djcb & compatible developers
ifneq (${MU_HACKER},)
MESON_FLAGS:=$(MESON_FLAGS) '-Dbuildtype=debug'    \
			    '-Db_sanitize=address' \
			    '-Dreadline=enabled'
endif

.PHONY: all
.PHONY: check test test-verbose-if-fail test-valgrind test-helgrind
.PHONY: benchmark coverage
.PHONY: dist install uninstall clean distclean
.PHONY: mu4e-doc-html

# MESON_FLAGS, e.g. "-Dreadline=enabled"

# examples:
# 1. build with clang, and the thread-sanitizer
#   make clean all MESON_FLAGS="-Db_sanitize=thread" CXX=clang++ CC=clang
all: $(BUILDDIR)
	@$(NINJA) -C $(BUILDDIR) $(VERBOSE)
	@ln -sf $(BUILDDIR)/compile_commands.json $(CURDIR) || /bin/true

$(BUILDDIR):
	@$(MESON) setup $(MESON_FLAGS) $(BUILDDIR)

check: test

test: all
	@$(MESON) test $(VERBOSE) -C $(BUILDDIR)

install: $(BUILDDIR)
	@cd $(BUILDDIR); $(MESON) install

uninstall: $(BUILDDIR)
	@$(NINJA) -C $(BUILDDIR) uninstall

clean:
	@rm -rf $(BUILDDIR) $(COVERAGE_BUILDDIR)

#
# below targets are just for development/testing/debugging. They may or
# may not work on your system.
#

test-verbose-if-fail: all
	@cd $(BUILDDIR); $(MESON) test || $(MESON) test --verbose

vg_opts:=--enable-debuginfod=no --leak-check=full --error-exitcode=1
test-valgrind: export G_SLICE=always-malloc
test-valgrind: export G_DEBUG=gc-friendly
test-valgrind: $(BUILDDIR)
	@cd $(BUILDDIR); $(MESON) test		\
		--wrap="valgrind $(vg_opts)"	\
		--timeout-multiplier 100

# we do _not_ pass helgrind; but this seems to be a false-alarm
#    https://gitlab.gnome.org/GNOME/glib/-/issues/2662
# test-helgrind: $(BUILDDIR)
#	@cd $(BUILDDIR); TEST=HELGRIND $(MESON) test			\
#	--wrap='valgrind --tool=helgrind --error-exitcode=1'		\
#	--timeout-multiplier 100

benchmark: $(BUILDDIR)
	$(NINJA) -C $(BUILDDIR) benchmark

$(COVERAGE_BUILDDIR):
	$(MESON) -Db_coverage=true --buildtype=debug $(COVERAGE_BUILDDIR)

covfile:=$(COVERAGE_BUILDDIR)/meson-logs/coverage.info

# generate by hand, meson's built-ins are unflexible
coverage: $(COVERAGE_BUILDDIR)
	$(NINJA) -C $(COVERAGE_BUILDDIR) test
	lcov --capture --directory . --output-file $(covfile)
	@lcov --remove $(covfile) '/usr/*' '*guile*' '*thirdparty*' '*/tests/*' '*mime-object*' --output $(covfile)
	@lcov --remove $(covfile) '*mu/mu/*' --output $(covfile)
	@mkdir -p $(COVERAGE_BUILDDIR)/meson-logs/coverage
	@genhtml $(covfile) --output-directory $(COVERAGE_BUILDDIR)/meson-logs/coverage/
	@echo "coverage report at: file://$(COVERAGE_BUILDDIR)/meson-logs/coverage/index.html"
dist: $(BUILDDIR)
	@cd $(BUILDDIR); $(MESON) dist

distclean: clean

HTMLPATH=${BUILDDIR}/mu4e/mu4e
mu4e-doc-html:
	@mkdir -p ${HTMLPATH} && cp mu4e/texinfo-klare.css ${HTMLPATH}
	@makeinfo -I ${BUILDDIR}/mu4e --html --css-ref=texinfo-klare.css -o ${HTMLPATH} mu4e/mu4e.texi

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## Copyright (C) 2022 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
+## Copyright (C) 2022-2023 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
 ##
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -20,6 +20,11 @@
        value: 'auto',
        description: 'build the guile scripting support (requires guile-3.x)')
 
+# by default, this uses guile_dep.get_variable(pkgconfig: 'extensiondir')
+option('guile-extension-dir',
+       type: 'string',
+       description: 'custom install path for the guile extension module')
+
 option('readline',
        type: 'feature',
        value: 'auto',

=== debian/changelog ===
maildir-utils (1.10.8-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Jan 2024 17:49:17 -0600

maildir-utils (1.10.8-2) unstable; urgency=medium

  * d/patches
    - add patches to fix unreproducible dates in documentation
      (Closes: #1056572)

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 22 Nov 2023 21:02:32 +0000

maildir-utils (1.10.8-1) unstable; urgency=medium

  * New upstream version 1.10.8
  * d/changelog
    - remove entry for non-existent 1.8.14-4 release
  * d/gitlab-ci.yml
    - enable CI pipeline
  * d/gbp.conf
    - dch: add `commit-msg`
  * d/patches
    - refresh patches

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 16 Nov 2023 20:24:41 +0000

maildir-utils (1.10.7-1) unstable; urgency=medium

  * New upstream version 1.10.7
  * d/.gitignore
    - ignore packaging artefacts
    - ignore Emacs artefacts
  * d/clean
    - remove entries not relevant to 1.10
  * d/control
    - add myself to uploaders
    - add build-dep on meson
    - add build-dep on libglib2.0-dev
    - trim unneeded build-deps
    - wrap-and-sort
  * d/elpa-test
    - disable dh-elpa-test to run upstream test-suite
  * d/maildir-utils.docs
    - remove obsolete TODO file
  * d/maildir-utils.examples
    - install Guile examples
  * d/maildir-utils.install
    - update the path of the Guile extension
  * d/mu4e.elpa
    - copy .el files from meson build directory
  * d/NEWS
    - fix formatting
    - add entry advising that the database needs to be reinitialized
      because of a schema update
  * d/not-installed
    - remove obsolete Guile .la file
  * d/patches
    - remove obsolete patches
    - refresh mu4e patches
    - refresh man-page patch
    - add patch to use max. compression for info files
    - add new man-page patch with upstreamed corrections
    - add DEP-3 metadata to all patches
    - add patch to fix a couple of typo's
    - add upstream patch to remove references to mu4e build directory
  * d/rules
    - update to use meson build-system
    - write mu4e-pkg.el to meson build directory
    - patch mu-cfind.1 to ensure that groff runs tbl
    - make build verbose unless the `terse` build option is used

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 08 Nov 2023 21:51:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,16 @@
 Section: mail
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>
+Uploaders: Martin <debacle@debian.org>, Jeremy Sowden <jeremy@azazel.net>
 Build-Depends: debhelper-compat (= 13),
-	dh-elpa,
-	emacsen-common,
-	guile-3.0-dev,
-	libgmime-3.0-dev,
-	libgtk-3-dev,
-	libreadline-dev,
-	libxapian-dev,
-	pmccabe,
-	texinfo,
-	xdg-utils,
-	zlib1g-dev,
+               dh-elpa,
+               guile-3.0-dev,
+               libglib2.0-dev,
+               libgmime-3.0-dev,
+               libreadline-dev,
+               libxapian-dev,
+               meson,
+               texinfo
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.djcbsoftware.nl/code/mu/
@@ -23,7 +20,7 @@
 
 Package: maildir-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Set of utilities to deal with Maildirs (upstream name mu)
  mu is a set of utilities to deal with Maildirs, specifically,
  indexing and searching.
@@ -37,7 +34,10 @@
 Package: mu4e
 Section: lisp
 Architecture: all
-Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacsen-common
+Depends: emacsen-common,
+         maildir-utils (<< ${source:Version}.1~),
+         maildir-utils (>= ${source:Version}),
+         ${misc:Depends}
 Description: e-mail client for Emacs based on mu (maildir-utils)
  mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
  later, built on top of the mu e-mail search engine. mu4e is optimized

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
endif
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

BUILDDIR = obj-$(DEB_HOST_GNU_TYPE)

ELPA_NAME=mu4e
export ELPA_NAME

%:
	dh $@ --with elpa --buildsystem=meson

#
# Insert preprocessor string into mu-cfind.1 telling groff to run tbl
#
execute_before_dh_install:
	sed -i '1 i '"'"'\\" t' $(CURDIR)/debian/tmp/usr/share/man/man1/mu-cfind.1

execute_before_dh_elpa:
	echo ';;; package description for mu4e  -*- no-byte-compile: t -*-' > $(BUILDDIR)/mu4e/mu4e-pkg.el
	echo "(define-package \"mu4e\" \"$(DEB_VERSION_UPSTREAM)\" \"the mu mail user agent\" 'nil)" >> $(BUILDDIR)/mu4e/mu4e-pkg.el

override_dh_compress:
	dh_compress --exclude=NEWS.org

## maildir-utils 1.12.5

=== debian/changelog ===
maildir-utils (1.12.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:42:11 +0900

maildir-utils (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
    - Rework message composition; split off parts into mu4e-draft.el. This
      tries harder to maintain the current buffer as expected
    - This fixes e.g. emacs-report-bug handling
    - New hook mu4e-compose-post-hook for tweaking what mu4e does when
      we're done with a message (after sending, cancelling, ...).
      By default, it tries to close the frame if needed, and restore
      the window configuration. See its docstring.
    - Better handle forwarding of encoded messages
    - Don't remove non-mu4e completion in composer
    - Integrate iCalendar support with message-composition
    - Handle mu4e-sent-messages-behavior correctly when it's a function
    - Better support NetBSD
    - Support some file systems that don't put the file type in d_type
    - Improve documentation
  * d/patches
    - remove upstreamed patch
    - add patch to fix RISC-V test failure (Closes: #1071192)

 -- Jeremy Sowden <azazel@debian.org>  Mon, 03 Jun 2024 22:05:55 +0100

maildir-utils (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4 (closes: #1069104)
    - query when quitting emacs with unhandled marks in a headers buffer
    - fix mime-handling
    - update sent handling (simplifying it)
    - re-enable a specific database lock; this makes indexing a bit slower,
      but hopefully avoids some db corruption.
  * d/patches
    - refresh patches
  * d/p/handle-dt_unknown-dentries.patch
    - add patch to fix reprotest failures
  * d/p/mu4e-dont-bytecompile
    - fix autoload generation

 -- Jeremy Sowden <azazel@debian.org>  Fri, 03 May 2024 13:04:09 +0100

maildir-utils (1.12.3-3) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/rules
    - enable 64-bit time_t on i386
    - use upstream mu4e-pkg.el
  * d/patches
    - add patch to fix possible overflow on architectures which do
      not support 64-bit time_t
  * d/maildir-utils.docs, d/p/adjust-mu-docdir
    - move doc's installed in /usr/share/doc/mu
  * d/TODO
    - the entries in it are obsolete, so remove it

  [ Xiyue Deng ]
  * Fix mu4e.elpa path to include all *.el files (Closes: #1068869)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 13 Apr 2024 18:57:16 +0100

maildir-utils (1.12.3-2) unstable; urgency=medium

  * d/control
    - remove build-dep on libcld2-dev

 -- Jeremy Sowden <azazel@debian.org>  Thu, 11 Apr 2024 14:08:52 +0100

maildir-utils (1.12.3-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Add locales-all to Build-Depends which is required by tests

  [ Jeremy Sowden ]
  * New upstream version 1.12.3 (Closes: #1067809)
    - Significant speedups in both mu and mu4e
    - Reworked message composition, closer to its Gnus origins which adds
      many of its features
    - Overhauled the query parser; squashing a number of bugs/limitations,
      incl. dealing with CJK messages
    - Experimental folding of message threads
    - Better and faster indexing of HTML messages
    - Experimental search by (human) language with CLD2
  * d/control
    - update my e-mail address
    - add build-dep on libcld2-0-dev to enable language-search support
    - bump Standards-Version to 4.7.0
  * d/copyright
    - update copyright notice for Dirk-Jan C. Binnema
    - add missing copyright statements and licences
  * d/NEWS
    - add entry for 1.12.3-1 advising that the database needs to be
      reinitialized because of schema updates
  * d/patches
    - delete upstreamed patches
    - refresh patches
  * d/rules
    - fix tabulation in all man-pages containing tables
    - link against libatomic on armel (Closes: #1068030)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 10 Apr 2024 20:18:09 +0100

## maildir-utils 1.12.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## Copyright (C) 2022-2023 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
+## Copyright (C) 2022-2024 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
 ##
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -14,11 +14,20 @@
 ## along with this program; if not, write to the Free Software Foundation,
 ## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
+option('tests',
+       type : 'feature',
+       value: 'auto',
+       description: 'build unit tests')
 
 option('guile',
        type : 'feature',
        value: 'auto',
        description: 'build the guile scripting support (requires guile-3.x)')
+
+option('cld2',
+       type : 'feature',
+       value: 'auto',
+       description: 'Compact Language Detector2')
 
 # by default, this uses guile_dep.get_variable(pkgconfig: 'extensiondir')
 option('guile-extension-dir',

=== debian/changelog ===
maildir-utils (1.12.6-1build1) oracular; urgency=medium

  * Rebuild against latest guile-3.0 (LP: #2080919)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 11:51:11 -0400

maildir-utils (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6

 -- Jeremy Sowden <azazel@debian.org>  Sat, 10 Aug 2024 14:03:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>, Jeremy Sowden <jeremy@azazel.net>
+Uploaders: Martin <debacle@debian.org>, Jeremy Sowden <azazel@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                guile-3.0-dev,
@@ -10,9 +10,10 @@
                libgmime-3.0-dev,
                libreadline-dev,
                libxapian-dev,
+               locales-all,
                meson,
                texinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.djcbsoftware.nl/code/mu/
 Vcs-Git: https://salsa.debian.org/emacsen-team/maildir-utils.git

## maildir-utils 1.12.7

=== debian/changelog ===
maildir-utils (1.12.7-1) unstable; urgency=medium

  * New upstream version 1.12.7
  * d/patches: refresh patches

 -- Jeremy Sowden <azazel@debian.org>  Sat, 02 Nov 2024 11:58:23 +0000

## maildir-utils 1.12.8

=== debian/changelog ===
maildir-utils (1.12.8-1) unstable; urgency=medium

  * New upstream version 1.12.8
  * d/patches: refresh patches
  * d/gitlab-ci.yml: rename to salsa-ci.yml

 -- Jeremy Sowden <azazel@debian.org>  Sun, 29 Dec 2024 11:55:27 +0000

## maildir-utils 1.12.9

=== Makefile ===
## Copyright (C) 2008-2025 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software Foundation,
## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

# Makefile with some useful targets for meson/ninja
V                  ?= 0

BUILDDIR           ?= $(CURDIR)/build
BUILDDIR_COVERAGE  ?= $(CURDIR)/build-coverage
BUILDDIR_VALGRIND  ?= $(CURDIR)/build-valgrind
BUILDDIR_BENCHMARK ?= $(CURDIR)/build-benchmark

GENHTML            ?= genhtml
LCOV               ?= lcov
MAKEINFO           ?= makeinfo
MESON              ?= meson
NINJA              ?= ninja
VALGRIND           ?= valgrind

ifneq ($(V),0)
  VERBOSE=--verbose
endif

# when MU_HACKER is set, do a debug build
# MU_HACKER is for djcb & compatible developers
# note that mu uses C++17, we only pass C++23 here
# for the better error messages (esp. for fmt).
ifneq (${MU_HACKER},)
MESON_FLAGS:=$(MESON_FLAGS) '-Dbuildtype=debug'    \
			    '-Db_sanitize=address' \
			    '-Dreadline=enabled'   \
			    '-Dcpp_std=c++23'
endif

.PHONY: all build-valgrind
.PHONY: check test test-verbose-if-fail test-valgrind test-helgrind
.PHONY: benchmark coverage
.PHONY: dist install uninstall clean distclean
.PHONY: mu4e-doc-html

# MESON_FLAGS, e.g. "-Dreadline=enabled"

# examples:
# 1. build with clang, and the thread-sanitizer
#   make clean all MESON_FLAGS="-Db_sanitize=thread" CXX=clang++ CC=clang
all: $(BUILDDIR)
	@$(MESON) compile -C $(BUILDDIR) $(VERBOSE)
	@ln -sf $(BUILDDIR)/compile_commands.json $(CURDIR) || /bin/true

$(BUILDDIR):
	@$(MESON) setup $(MESON_FLAGS) $(BUILDDIR)

check: test

test: all
	@$(MESON) test $(VERBOSE) -C $(BUILDDIR)

install: $(BUILDDIR)
	@$(MESON) install -C $(BUILDDIR) $(VERBOSE)

uninstall: $(BUILDDIR)
	@$(NINJA) -C $(BUILDDIR) uninstall

clean:
	@rm -rf $(BUILDDIR) $(BUILDDIR_COVERAGE) $(BUILDDIR_VALGRIND) $(BUILDDIR_BENCHMARK)
	@rm -rf compile_commands.json

#
# below targets are just for development/testing/debugging. They may or
# may not work on your system.
#
test-verbose-if-fail: all
	$(MESON) test -C $(BUILDDIR) || $(MESON) test -C $(BUILDDIR) --verbose

build-valgrind: $(BUILDDIR_VALGRIND)
	@$(MESON) compile -C $(BUILDDIR_VALGRIND) $(VERBOSE)

$(BUILDDIR_VALGRIND):
	@$(MESON) setup --buildtype=debug $(BUILDDIR_VALGRIND)

vg_opts:=--enable-debuginfod=no --leak-check=full --error-exitcode=1
test-valgrind: export G_SLICE=always-malloc
test-valgrind: export G_DEBUG=gc-friendly
test-valgrind: build-valgrind
	@$(MESON) test -C $(BUILDDIR_VALGRIND)			\
		--wrap="$(VALGRIND) $(vg_opts)"			\
		--timeout-multiplier 100

check-valgrind: test-valgrind

# we do _not_ pass helgrind; but this seems to be a false-alarm
#    https://gitlab.gnome.org/GNOME/glib/-/issues/2662
test-helgrind: $(BUILDDIR_VALGRIND)
	$(MESON) -C $(BUILDDIR_VALGRIND) test	\
	--wrap="$(VALGRIND) --tool=helgrind --error-exitcode=1"	\
	--timeout-multiplier 100

check-helgrind: test-helgrind

#
# benchmarking
#

$(BUILDDIR_BENCHMARK):
	@$(MESON) setup --buildtype=debugoptimized $(BUILDDIR_BENCHMARK)

build-benchmark-target: $(BUILDDIR_BENCHMARK)
	@$(MESON) compile -C $(BUILDDIR_BENCHMARK) $(VERBOSE)

benchmark: build-benchmark-target
	$(NINJA) -C $(BUILDDIR_BENCHMARK) benchmark

#
# coverage
#

$(BUILDDIR_COVERAGE):
	$(MESON) setup -Db_coverage=true --buildtype=debug $(BUILDDIR_COVERAGE)

covfile:=$(BUILDDIR_COVERAGE)/meson-logs/coverage.info

# generate by hand, meson's built-ins are rather inflexible
coverage: $(BUILDDIR_COVERAGE)
	@$(MESON) compile -C $(BUILDDIR_COVERAGE)
	@$(MESON) test -C $(BUILDDIR_COVERAGE) $(VERBOSE)
	$(LCOV) --capture --directory . --output-file $(covfile)
	@$(LCOV) --remove $(covfile) '/usr/*' '*guile*' '*thirdparty*' '*/tests/*' '*mime-object*' --output $(covfile)
	@$(LCOV) --remove $(covfile) '*mu/mu/*' --output $(covfile)
	@mkdir -p $(BUILDDIR_COVERAGE)/meson-logs/coverage
	@$(GENHTML) $(covfile) --output-directory $(BUILDDIR_COVERAGE)/meson-logs/coverage/
	@echo "coverage report at: file://$(BUILDDIR_COVERAGE)/meson-logs/coverage/index.html"

#
# misc
#

dist: $(BUILDDIR)
	$(MESON) compile -C $(BUILDDIR) $(VERBOSE)
	$(MESON) dist -C $(BUILDDIR) $(VERBOSE)

distclean: clean

HTMLPATH=${BUILDDIR}/mu4e/mu4e
mu4e-doc-html:
	@mkdir -p ${HTMLPATH} && cp mu4e/texinfo-klare.css ${HTMLPATH}
	@cd mu4e; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/mu4e --html --css-ref=texinfo-klare.css -o ${HTMLPATH} mu4e.texi

=== meson_options.txt ===
--- 
+++ 
@@ -14,36 +14,50 @@
 ## along with this program; if not, write to the Free Software Foundation,
 ## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
-option('tests',
+
+option('cld2',
        type : 'feature',
        value: 'auto',
-       description: 'build unit tests')
+       description: 'Add support for language-detection through cld2')
+
+#
+# emacs
+#
+
+option('emacs',
+       type: 'string',
+       value: 'emacs',
+       description: 'name/path of the emacs executable (for byte-compilation)')
+
+option('lispdir',
+       type: 'string',
+       description: 'path under which to install emacs-lisp files')
+
+
+#
+# guile
+#
 
 option('guile',
        type : 'feature',
        value: 'auto',
        description: 'build the guile scripting support (requires guile-3.x)')
 
-option('cld2',
-       type : 'feature',
-       value: 'auto',
-       description: 'Compact Language Detector2')
-
 # by default, this uses guile_dep.get_variable(pkgconfig: 'extensiondir')
 option('guile-extension-dir',
        type: 'string',
        description: 'custom install path for the guile extension module')
 
+#
+# misc
+#
+
+option('tests',
+       type : 'feature',
+       value: 'auto',
+       description: 'build unit tests')
+
 option('readline',
        type: 'feature',
        value: 'auto',
        description: 'enable readline support for the mu4e repl')
-
-option('emacs',
-       type: 'string',
-       value: 'emacs',
-       description: 'name/path of the emacs executable')
-
-option('lispdir',
-       type: 'string',
-       description: 'path under which to install emacs-lisp files')

=== debian/changelog ===
maildir-utils (1.12.9-1) unstable; urgency=medium

  * New upstream version 1.12.9
    - mu
      + the cleanup phase after indexing is significantly faster now
    - mu4e
      + new command `mu4e-analyze-last-query` which shows information about
        how the server interpreted the last query.
      + When you ask for bookmarks or maildirs through `mu4e-search-bookmark`
        or `mu4e-search-maildir`, unread counts are displayed in the (default)
        completions UI next to the maildir or bookmark.
      + A (experimental) "transient" menu has been added.
      + Various Gnus' mailing list commands are now available in the mu4e
        message view as well.
      + The mu server uses PCRE-compatible regexps (for addresses), which are
        not necessarily compatible with Emacs regular expressions. However,
        mu4e can now automatically translate; this depends on the `pcre2el`
        package which the user should install when using regular
        expression-addresses.
  * d/patches
    - refresh patches
    - add patch to fix single-quoted strings in man-page
    - add patch to escape back-slashes in man-page
  * d/control
    - bump Standards-Version to 4.7.2

 -- Jeremy Sowden <azazel@debian.org>  Mon, 10 Mar 2025 22:07:50 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                locales-all,
                meson,
                texinfo
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.djcbsoftware.nl/code/mu/
 Vcs-Git: https://salsa.debian.org/emacsen-team/maildir-utils.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
endif
export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+time64

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

#
# Cf. #1068030.
#
ifeq (armel,$(DEB_HOST_ARCH))
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

BUILDDIR = obj-$(DEB_HOST_GNU_TYPE)
TBL_MANPAGES = mu-cfind.1 mu-find.1 mu-index.1 mu-move.1 mu-query.7 mu-server.1

ELPA_NAME=mu4e
export ELPA_NAME

%:
	dh $@ --with elpa --buildsystem=meson

execute_after_dh_auto_build:
	#
	# ox-man transcodes some mark-up such as `~...~` using the font
	# escape-sequence `\fC...\fP`.  However, the font C does not exist.
	# Insert `.ftr` requests to translate it to font B, which _does_ exist.
	#
	for m in $(BUILDDIR)/man/*.[0-9]; do sed -i '1 i .ftr C B' $$m; done
	#
	# Insert preprocessor string into man-pages containing tables telling groff to
	# run tbl (_vide_ https://lists.debian.org/debian-devel/2023/08/msg00220.html).
	#
	for m in $(TBL_MANPAGES); do sed -i '1 i '"'"'\\" t' $(BUILDDIR)/man/$$m; done

override_dh_compress:
	dh_compress --exclude=NEWS.org

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/maildir-utils-$1\.tar\.gz/ \
  https://github.com/djcb/mu/tags .*/v?(\d\S+)\.tar\.gz

## maildir-utils 1.12.12

=== debian/changelog ===
maildir-utils (1.12.12-2) unstable; urgency=medium

  * d/changelog: fix a couple of mistakes in the entry for 1.12.12-1
  * d/rules: increase meson unit-test time-out.
    Thanks to Adrian Bunk (Closes: #1111826)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 23 Aug 2025 12:49:00 +0100

maildir-utils (1.12.12-1) unstable; urgency=medium

  * New upstream version 1.12.12
    - mu
      + the `--my-address` parameter to `--mu-init` has been renamed into
        `--personal-address`, for consistency with the other places where we
        refer to it as a personal address. `--my-address` is still supported as
        an alias, for backward compatibility.
    - mu4e
      + add a `defcustom` `mu4e-compose-jump-to-a-reasonable-place` for
        customizing whether mu4e jumps to some "reasonable place" when opening
        the message composition buffer. Default is `t`, as the current behavior.
      + `mu4e-maildir-shortcuts` and `mu4e-bookmarks` now understand a property
        `:hide-if-no-unread`, which hides the maildir/bookmark from the
        main-view if there are no unread messages which the corresponding query.
      + it is now possible to create Emacs bookmarks for both messages (default)
        and queries. See the new variable `mu4e-emacs-bookmark-policy`.
      + `mu4e-get-mail-command`, which specifies the shell command to use for
        getting mail, can now also be a function return that shell-command. This
        makes it easier to use different shell commands in different situations.
  * d/patches
    - refresh patches
  * d/rules
    - link against libatomic on m68k, powerpc, sh4 (Closes: #1108203)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 13 Aug 2025 14:00:50 +0100

## maildir-utils 1.12.13

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,6 @@
 # for the better error messages (esp. for fmt).
 ifneq (${MU_HACKER},)
 MESON_FLAGS:=$(MESON_FLAGS) '-Dbuildtype=debug'    \
-			    '-Db_sanitize=address' \
 			    '-Dreadline=enabled'   \
 			    '-Dcpp_std=c++23'
 endif
@@ -93,6 +92,7 @@
 vg_opts:=--enable-debuginfod=no --leak-check=full --error-exitcode=1
 test-valgrind: export G_SLICE=always-malloc
 test-valgrind: export G_DEBUG=gc-friendly
+test-valgrind: export MU_VALGRIND=memcheck
 test-valgrind: build-valgrind
 	@$(MESON) test -C $(BUILDDIR_VALGRIND)			\
 		--wrap="$(VALGRIND) $(vg_opts)"			\
@@ -102,6 +102,7 @@
 
 # we do _not_ pass helgrind; but this seems to be a false-alarm
 #    https://gitlab.gnome.org/GNOME/glib/-/issues/2662
+test-helgrind: export MU_VALGRIND=helgrind
 test-helgrind: $(BUILDDIR_VALGRIND)
 	$(MESON) -C $(BUILDDIR_VALGRIND) test	\
 	--wrap="$(VALGRIND) --tool=helgrind --error-exitcode=1"	\
@@ -152,7 +153,31 @@
 
 distclean: clean
 
-HTMLPATH=${BUILDDIR}/mu4e/mu4e
+
+#
+# documentation
+#
+BUILDAUX:=./build-aux
+DOCPATH=${BUILDDIR}/doc
+MU4E_DOCHTML=${DOCPATH}/mu4e
+
 mu4e-doc-html:
-	@mkdir -p ${HTMLPATH} && cp mu4e/texinfo-klare.css ${HTMLPATH}
-	@cd mu4e; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/mu4e --html --css-ref=texinfo-klare.css -o ${HTMLPATH} mu4e.texi
+	@mkdir -p ${MU4E_DOCHTML} && cp $(BUILDAUX)/texinfo-klare.css ${MU4E_DOCHTML}
+	@cd mu4e; makeinfo -v -I ${BUILDDIR} -I ${BUILDAUX} \
+		  -I ${BUILDDIR}/mu4e --html --css-ref=texinfo-klare.css -o ${MU4E_DOCHTML} mu4e.texi
+mu4e-doc-pdf:
+	@mkdir -p ${DOCPATH}
+	@cd mu4e; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/mu4e -I ${BUILDAUX} \
+		--pdf -o ${DOCPATH}/mu4e.pdf mu4e.texi
+
+MU_SCM_DOCHTML=${DOCPATH}/mu-scm
+mu-scm-doc-html:
+	@mkdir -p ${MU_SCM_DOCHTML} && cp $(BUILDAUX)/texinfo-klare.css ${MU_SCM_DOCHTML}
+	@cd scm; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/scm -I ${BUILDAUX} \
+		--html --css-ref=texinfo-klare.css -o ${MU_SCM_DOCHTML} mu-scm.texi
+mu-scm-doc-pdf:
+	@mkdir -p ${DOCPATH}
+	@cd scm; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/scm -I ${BUILDAUX} \
+		--pdf -o ${DOCPATH}/mu-scm.pdf mu-scm.texi
+
+doc: mu4e-doc-html mu4e-doc-pdf mu-scm-doc-html mu-scm-doc-pdf

=== meson_options.txt ===
--- 
+++ 
@@ -14,6 +14,25 @@
 ## along with this program; if not, write to the Free Software Foundation,
 ## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
+
+#
+# mu contains some 'vendored' dependencies under thirdparty/; those
+# are only used if the corresponding system package is not found
+# (if such exists). But, we can override:
+
+option('use-embedded-fmt',
+       type: 'boolean',
+       value: false,
+       description: 'Use the embedded fmt, even if system package is found')
+
+option('use-embedded-cli11',
+       type: 'boolean',
+       value: false,
+       description: 'Use the embedded CLI11, even if system package is found')
+
+#
+# language detection
+#
 
 option('cld2',
        type : 'feature',
@@ -35,7 +54,7 @@
 
 
 #
-# guile
+# guile & scm
 #
 
 option('guile',
@@ -47,6 +66,11 @@
 option('guile-extension-dir',
        type: 'string',
        description: 'custom install path for the guile extension module')
+
+option('scm',
+       type : 'feature',
+       value: 'auto',
+       description: 'build the guile scripting support (requires guile-3.x)')
 
 #
 # misc

=== debian/changelog ===
maildir-utils (1.12.13-1) unstable; urgency=medium

  * New upstream version 1.12.13
    - mu
      + new (sub)command "labels", for associating searchable labels with
        messages. Labels are similar to tags, but better integrated with mu
        (and mu4e). See mu-labels.1 man-page for details.
    - scm
      + you can set `mu4e-mu-scm-server` to non-nil and connect to the SCM REPL
        with `M-x mu4e-mu-scm-repl` after restart (see their docstrings for
        details)
      + add the `--listen` flag for `mu scm` and `mu server`, to start a REPL on
        a Unix domain socket. See the reference manual for details.
      + `mu scm` also gained support for labels and logging; furthermore,
        `mfind` was made much faster.
  * d/control
    - add build-dep's on libfmt-dev and libcli11-dev
  * d/copyright
    - remove a deleted file and update a couple of moved ones
  * d/patches
    - refresh existing patches
    - add patch to build test executables verbosely
  * d/watch
    - update to version 5

 -- Jeremy Sowden <azazel@debian.org>  Fri, 17 Oct 2025 08:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                guile-3.0-dev,
+               libcli11-dev,
+               libfmt-dev,
                libglib2.0-dev,
                libgmime-3.0-dev,
                libreadline-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 include /usr/share/dpkg/pkg-info.mk
 
 #
-# Cf. #1068030.
+# Vide #1068030, #1108203.
 #
-ifeq (armel,$(DEB_HOST_ARCH))
+ifeq ($(filter armel m68k powerpc sh4,$(DEB_HOST_ARCH)),$(DEB_HOST_ARCH))
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
@@ -38,5 +38,11 @@
 	#
 	for m in $(TBL_MANPAGES); do sed -i '1 i '"'"'\\" t' $(BUILDDIR)/man/$$m; done
 
+#
+# Vide #1111826.
+#
+override_dh_auto_test:
+	dh_auto_test -- --timeout-multiplier 10
+
 override_dh_compress:
 	dh_compress --exclude=NEWS.org

=== debian/watch ===
Version: 5
Source: https://github.com/djcb/mu/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
Filename-Mangle: s,@ANY_VERSION@\.(tar\.gz),maildir-utils-$1.$2,
